# $EPIC: new_nickname,v 1.2 2005/03/11 04:55:04 jnelson Exp $
Synopsis:
   on [<modes>]new_nickname [<serial#>] [-|^]<match> { <action> }

Description:
   This hook is triggered whenever your current nickname is no longer 
   acceptable and a new one must be created.  It is expected that you would
   use the NICK command in the <action> of this hook.  If you do not
   hook this, the client chooses a new one for you.

Parameters:
   $0    The server for which we need a new nickname
   $1    The actual current nickname (or "*" if we don't have one)
   $2    The current "pending" nickname (or "*" if we don't have one)

See Also:
   nick(1); on(5) channel_nick

History:
   The ON NEW_NICKNAME hook first appeared in EPIC5-0.0.3.
